Github messages for voidlinux
 help / Atom feed
* [ISSUE] Steam doesn't install all packages that are needed on x86_64
@ 2019-10-07  0:23 voidlinux-github
  2019-10-07  0:36 ` voidlinux-github
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-07  0:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 813 bytes --]

New issue by obunden on void-packages repository

https://github.com/void-linux/void-packages/issues/15197

Description:
### System

* xuname:  
  Void 5.2.18_1 x86_64 GenuineIntel uptodate rrrrmmnFFFFFF
* package:  
  steam-1.0.0.61_1

### Expected behavior
Steam starts without errors
### Actual behavior
Steam displays this error message:
Error: You are missing the following 32-bit libraries, and Steam may not run:
libstdc++.so.6
libstdc++.so.6
libstdc++.so.6
libstdc++.so.6
libgcc_s.so.1
libstdc++.so.6
libstdc++.so.6
libgcc_s.so.1
libstdc++.so.6
libgcc_s.so.1
libdrm.so.2
### Steps to reproduce the behavior
Launch 'steam'


### Further information
This can be solved by installing installing libstdc++-32bit (it pulls in libgcc-32bit) and libdrm-32bit from the multlilib repo.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
@ 2019-10-07  0:36 ` voidlinux-github
  2019-10-09  5:51 ` voidlinux-github
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-07  0:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 375 bytes --]

New comment by obunden on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-538805061

Comment:
I'm new to the build system so I have no clue how this should be handled. Does anyone know why steam is a "64-bit" package? I thought the steam client didn't use 64-bit at all. It feels like it belongs in void-repo-multilib-nonfree.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
  2019-10-07  0:36 ` voidlinux-github
@ 2019-10-09  5:51 ` voidlinux-github
  2019-10-09  5:56 ` voidlinux-github
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-09  5:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 493 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-539844340

Comment:
The steam in our repo is just a script and a bootstrap tarball that will download real software distribution from Valve.

The bootstrap (32 bit) will then download the correct 64 bit version if your system is x86_64.

steam shouldn't be listed in multilib or i686 only, because it needs to pull xz, curl, etc.. to download and extract the software.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
  2019-10-07  0:36 ` voidlinux-github
  2019-10-09  5:51 ` voidlinux-github
@ 2019-10-09  5:56 ` voidlinux-github
  2019-10-09  5:59 ` voidlinux-github
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-09  5:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 824 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-539844340

Comment:
The steam in our repo is just a script and a bootstrap tarball that will download real software distribution from Valve.

The bootstrap (32 bit) will then download the correct 64 bit version if your system is x86_64.

steam shouldn't be listed in multilib or i686 only, because it needs to pull xz, curl, etc.. to download and extract the software.

---

Anyway, if you read the installation message of steam, you will have all dependencies installed correctly.

```
For users of the open source drivers:

        - mesa-ati-dri-32bit + libGL-32bit (AMD)
        - mesa-intel-dri-32bit + libGL-32bit (Intel)
        - mesa-nouveau-dri-32bit + libGL-32bit (NVIDIA)
```

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
                   ` (2 preceding siblings ...)
  2019-10-09  5:56 ` voidlinux-github
@ 2019-10-09  5:59 ` voidlinux-github
  2019-10-11  1:03 ` voidlinux-github
  2019-10-11  6:38 ` voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-09  5:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 909 bytes --]

New comment by zdtcd on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-539844340

Comment:
The steam in our repo is just a script and a bootstrap tarball that will download real software distribution from Valve.

The bootstrap (32 bit) will then download the correct 64 bit version if your system is x86_64.

steam shouldn't be listed in multilib or i686 only, because it needs to pull xz, curl, etc.. to download and extract the software.

---

Anyway, if you read the installation message of steam, you will have all dependencies installed correctly.

```
For users of the open source drivers:

        - mesa-ati-dri-32bit + libGL-32bit (AMD)
        - mesa-intel-dri-32bit + libGL-32bit (Intel)
        - mesa-nouveau-dri-32bit + libGL-32bit (NVIDIA)
```

https://github.com/void-linux/void-packages/blob/master/srcpkgs/steam/INSTALL.msg

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
                   ` (3 preceding siblings ...)
  2019-10-09  5:59 ` voidlinux-github
@ 2019-10-11  1:03 ` voidlinux-github
  2019-10-11  6:38 ` voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-11  1:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 593 bytes --]

New comment by obunden on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-540857291

Comment:
I know about the message, I have the requrired libraries installed for my card (proprietary nvidia). It doesn't pull in the other libraries that I mentioned. I tried uninstalling the packages and removing all orphans, and then install everything again but that didn't help.

nvidia-stable-libs-32bit doesn't seem to be a thing anymore, couldn't find it in the repos. Don't think it causes the problem but maybe it should be left out of the message?

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: Steam doesn't install all packages that are needed on x86_64
  2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
                   ` (4 preceding siblings ...)
  2019-10-11  1:03 ` voidlinux-github
@ 2019-10-11  6:38 ` voidlinux-github
  5 siblings, 0 replies; 7+ messages in thread
From: voidlinux-github @ 2019-10-11  6:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 427 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/issues/15197#issuecomment-540932731

Comment:
Indeed, that's horribly outdated and should be removed or updated. Since the nvidia package versions change all the time (we have 340 and 390 now), perhaps it would be best to just tell people to install the 32bit package that matches the nvidia driver version they are already using.

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, back to index

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-10-07  0:23 [ISSUE] Steam doesn't install all packages that are needed on x86_64 voidlinux-github
2019-10-07  0:36 ` voidlinux-github
2019-10-09  5:51 ` voidlinux-github
2019-10-09  5:56 ` voidlinux-github
2019-10-09  5:59 ` voidlinux-github
2019-10-11  1:03 ` voidlinux-github
2019-10-11  6:38 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/ public-inbox